F-Secure Internet Security not supporting windows xp service pack 3

Hi All,

 

I'm trying to install internet security on a windows xp machine(servicepack 3) but i'm getting a error msg saying that OS is not supported.any reason?

 

Thanks

Best Answer

Answers

  • UkkoUkko Posts: 2,936

    Hello,

     

    Latest stable (?) release of F-Secure IS drop support for current Windows.

    Official KB-note probably there:

    https://community.f-secure.com/t5/F-Secure-SAFE/End-of-Windows-XP-support-for-F/ta-p/80636

     

    Such as F-Secure IS 2016 (?) should to support Windows Vista (sp2) and higher.

     

    Based also on some fresh features of F-Secure IS/AV, which previous Windows can not to support.

    But Windows Vista have some different points with "higher Windows" too (but fresh builds anyway work with Vista).

     

    Previous F-Secure IS builds should to support system before Vista. And most likely installer comes with fresh build (and as result - not possible to install it as fresh/clean installation).

     

    Sorry for my reply.

     

    Thanks.

  • SimonSimon Posts: 2,574
    I believe XP is also no longer receiving Windows Updates, so it is time to upgrade. :)
  • asankaasanka Posts: 73

    Dear All,

     

    Thanks for your prompt reply.but we are a F-Secure distributor and kaspersky and eset are still supporting windows xp.we had a offline installer issue earlier now this issue.i think it's time to switch to a another productSmiley Indifferent

     

    Thanks

  • UkkoUkko Posts: 2,936

    Hello,

     

    I think that.... previous F-Secure IS (like F-Secure 2015) will be still work. And previous releases too.

    Such as.. just fresh build as F-Secure SAFE / IS 2016 - where comes fresh changes, improvements, design and other points.

    If this is possible to get previous installer for previous releases - I think it will be still work.


    Same with "installation", which already there. Just will be no possible to do update/upgrade or reinstall it (because will be triggered fresh one network-installer).

     

    But probably there should be normal official response by F-Secure about your situation.

     

    Thanks.

This discussion has been closed.